Zac Anger's Blog

Switching from MIT to LGPL-3.0

30 August, 2019

If you use my libraries, you should know:

I'm in the process of changing most of my active projects from the MIT license to LGPL-3.0. If that doesn't work for you, you're more then welcome to keep using old versions.

Every project that is stable (at least 1.0.0, that's most libraries) will get a major version bump, so it'll be easy to figure out when and if you can upgrade.

I'm not doing this because I want to scare people off from using my software, I'm doing this because I want people to give back to the community and because I think it's time that the GitHub generation of developers (myself included) faces up to the fact that open source != free software.